<?php

/**
 * 
 */
class Cobros extends CI_Controller
{

	function __construct()
	{
	parent::__construct();
	$this->load->model('comprobantes_model');
    $this->load->model("cobros_model");

	}

    public function index(){     
    	    
        //var_dump($data['comprobantes']);exit;
        $this->load->view('templates/header_administrador');
    	$this->load->view('cobros/index');
        $this->load->view('templates/footer');

    }


    public function listaComprobantes(){
        //echo $_POST['estado'];exit;
    $comprobantes = $this->cobros_model->selectComprobantesCredito();

    $rs =  '<table class="table table-streap">
               <tr>
                 <th>N°</th>
                 <th>cli_razon_social</th>
                 <th>serie</th>
                 <th>numero</th>
                 <th>fecha_de_emision</th>
                 <th>fecha_de_vencemiento</th>
                 <th>total_a_pagar </th>
                 <th>saldo </th>
                 <th>&nbsp;</th>
               </tr>';
    $i=1;    
    foreach($comprobantes as $value) {

        //echo $_POST['estado'];exit;
        $rowColor = ($value->saldo <= 0) ? 'class="success"' : 'class="danger"';
        if($_POST['estado'] == '0'){//CANCELADO          
                $rowColor = ($value->saldo <= 0) ? 'class="success"' : ' style="display:none" class="danger"';
        }  else if($_POST['estado'] == 1) {//POR CANCELAR
                $rowColor = ($value->saldo <= 0) ? 'style="display:none" class="success"' : 'class="danger"';
        }
              
        $rs .= '<tr '.$rowColor.'>        

                <td><a onclick="javascript:window.open(\''.base_url().'index.php/cobros/perfilCobro/'. $value->comprobante_id .'\', \'\', \'width=750,height=600,scrollbars=yes,resizable=yes\')" >'.$i.'</a></td>
                <td>'.$value->cli_razon_social.'</td>
                <td>'.$value->serie.'</td>
                <td>'.$value->numero.'</td>
                <td>'.$value->fecha_de_emision.'</td>
                <td>'.$value->fecha_de_vencimiento.'</td>
                <td> S/ '.$value->total_a_pagar.'</td>
                <td> S/ '.$value->saldo.'</td>';

                if($value->saldo <= 0){//CANCELADO
                    $rs .= '<td><a class="glyphicon glyphicon-export"></a></td>';                    
                }else{//POR CANCELAR
                    $rs .= '<td><a type="button" data-id ="'.$value->comprobante_id.'" data-saldo = "'.$value->saldo.'" class="glyphicon glyphicon-export btn_regCobro" data-toggle="modal" data-target="#myModal"></a></td>';
                }

                $rs .= '</tr>';
          $i++;
       }
        
        $rs .= '</table>';
        echo $rs;
    }

     public function  modal_crear(){

      //echo $_REQUEST['saldo'];
               
      $data['cobros'] =  $this->cobros_model->select('',$_REQUEST['comprobante_id']);
      //var_dump($data['cobros']);
      $data['comprobante_id'] = $_REQUEST['comprobante_id'];
      $data['saldo'] = $_REQUEST['saldo'];

      $this->load->view("cobros/modal_crear",$data);

    }   


    public function rowCobro(){
       $cobros =  $this->cobros_model->select('',$_POST['comprobante_id']);
       
       $rs = '<table class="table table-streap">
                <tr>
                    <td>N°</td>
                    <td>MONTO</td>
                    <td>FECHA</td>                    
                    <td>&nbsp;</td>
                </tr>';     
        $i=1;                    
        foreach($cobros as $value){
            
            $rs .= '<tr>
                        <td>'.$i.'</td>
                        <td>'.$value->monto.'</td>
                        <td>'.$value->fecha.'</td>                        
                        <td><a data-id ='.$value->id.' class="glyphicon glyphicon-remove-sign removeCobro"></a></td>
                   </tr>';
            $i++;    
        } 
            $rs .= '</table>';
            echo $rs;           
    }    


    public function guardar(){    

        $error = array();
        if($_POST['monto'] == ''){
            $error['monto'] = 'Falta ingresar monto';
        }
        if($_POST['fecha'] == ''){
            $error['fecha'] = 'Falta ingresar fecha';
        }


        if(count($error)){
            echo json_encode(['status'=> STATUS_FAIL,'tipo'=>1, 'error'=>$error]);
            exit();
        }

        
    $data = $this->cobros_model->guardar();
        if ($data) {
            echo json_encode(['status' => STATUS_OK]);
        }
        else{
            echo json_encode(['status' => STATUS_FAIL,'tipo'=>2]);
        }
    }

   public function eliminar($idCobro){


      $result = $this->cobros_model->eliminar($idCobro);
      if($result)
      {
        sendJsonData(['status'=>STATUS_OK]);
        exit();
      }else
      {
        sendJsonData(['status'=>STATUS_FAIL]);
        exit();
      }         
   } 


   public function perfilCobro($comprobante_id){      

        $data['cobros'] = $this->cobros_model->select('',$comprobante_id);
        $this->load->view('templates/header_sin_menu_white');
        $this->load->view('cobros/perfilCobro', $data);
        $this->load->view('templates/footer');
   }
}