<?PHP


class Habitaciones_model extends CI_Model {

	public function __contruct(){
		parent::__contruct();
		$this->load->database();
	}

public function select($idHabitacion = ''){

	if($idHabitacion == '') {
            $rsHabitaciones = $this->db->from("habitaciones")
                                     ->where("estado", ST_ACTIVO)
                                     ->get()
                                     ->result();
            return $rsHabitaciones;
        } else {
            $rsHabitacion = $this->db->from("habitaciones")
                            ->where("id", $idHabitacion)
                            ->get()
                            ->row();
            return $rsHabitacion;
        }           
}


public function guardar(){
	if($_POST['id'] != ''){

		$dataUpdate = [
						'codigo' => $_POST['codigo'],
						'descripcion' => strtoupper($_POST['descripcion']),
						'tipo_habitacion_id' => $_POST['tipo_habitacion']
					];
		$this->db->where('id',$_POST['id']);
		$this->db->update('habitaciones',$dataUpdate);
	} else {
		$dataInsert = [
						'codigo' => $_POST['codigo'],
						'descripcion' => strtoupper($_POST['descripcion']),
						'tipo_habitacion_id' => $_POST['tipo_habitacion'],
						'estado' => ST_ACTIVO
			];
			$this->db->insert('habitaciones',$dataInsert);
	}
	return true;
}

public function eliminar($idHabitacion){
	$habitacionUpdate = [
					"estado" => ST_ELIMINADO
		];

	$this->db->where("id",$idHabitacion);
	$this->db->update("habitaciones", $habitacionUpdate);
	return true;
}		

public function getMainList(){
	$select = $this->db->from("habitaciones")
						->where("estado",ST_ACTIVO);

	if($_POST['search'] != ''){
		$select->like("descripcion",$_POST['search']);
	}

	$selectCount = clone $select;
	$rsCount = $selectCount->get()->result();

	$rows = count($rsCount);

	$rsHabitaciones = $select->limit($_POST['pageSize'],$_POST['skip'])
						->order_by("id","desc")
						->get()
						->result();

	foreach ($rsHabitaciones as $habitacion) {
		
			$habitacion->hab_editar  = "<a class='btn btn-default btn-xs	btn_modificar_habitacion' data-id='{$habitacion->id}'
			data-toggle='modal' data-target='#myModal'>Modificar</a>";

		$habitacion->hab_eliminar= "<a class='btn btn-default btn-xs btn_eliminar_habitacion' data-id='{$habitacion->id}' data_msg='Desea Eliminar Grado: {$habitacion->descripcion} ?'>Eliminar</a>";
	}

	$datos = [
			'data' => $rsHabitaciones,
			'rows' => $rows
	];

	return $datos;
}



	public function selectRackHabitaciones($idHabitacion=''){


		if($idHabitacion == '') {
            $rsHabitaciones = $this->db->from("habitaciones")
                                     ->where("estado", ST_ACTIVO)
                                     ->get()
                                     ->result_array();
            return $rsHabitaciones;
        } else {
            $rsHabitacion = $this->db->from("habitaciones")
                            ->where("id", $idHabitacion)
                            ->get()
                            ->row_array();
            return $rsHabitacion;
        }           
	}


}
