<?PHP

    if(!defined('BASEPATH')) exit('No direct script access allowed');
    
    
    class SerNums extends CI_Controller{                
        
        public function __construct() {
            parent::__construct();
            $this->load->model('monedas_model');
            $this->load->model('tipo_cambio_model');
            $this->load->model('tipo_documentos_model');
            $this->load->model('ser_nums_model');
            $this->load->model('empresas_model');
            $this->load->model('accesos_model');
        }
        
        public function index() {

            $data['tipo_documentos'] = $this->tipo_documentos_model->select();
            $dataSerie = $this->ser_nums_model->select('', '', $this->uri->segment(3));

            $this->db->select('s.id as serie_id,d.id as documento_id,d.tipo_documento,s.serie'); 
            $this->db->from('ser_nums as s');
            $this->db->join('tipo_documentos as d','d.id=s.tipo_documento_id');
            $this->db->where('s.empresa_id',1);
            $this->db->where('s.tipo_documento_id <>',11);
            $this->db->order_by('d.tipo_documento','ASC');
            $series = $this->db->get()->result();
         
            /*$datosSer = array();
            foreach ($series as $valuesSerie){
                $datosSer[$valuesSerie['tipo_documento_id']] = $valuesSerie['serie'];
            }*/

            $data['serNums'] = $series;            
            $data['empresa'] = $this->empresas_model->select($this->uri->segment(3));            

            $this->accesos_model->menuGeneral();
            $this->load->view('serNums/index',$data);
            $this->load->view('templates/footer');
        }
        
        public function selectSerie() {
            $series = $this->ser_nums_model->select('',$_POST['tipo_documento_id'], $this->uri->segment(3));
            print_r($series);
            foreach ($series as $value) {
                echo '<option value="' . $value['serie'] . '">' . $value['serie'] . '</option>';
            }
        }

        public function guardar(){
            $tipo_documentos = $this->tipo_documentos_model->select();
            $empresa_id = 1;

            $serie_id = $_POST['serie_id'];
            $documento_id = $_POST['documento_id'];
            $series = $_POST['serie_nom'];

            $i = 0;
            foreach($serie_id  as $value){
                if(strlen($series[$i]) != 4){
                    $this->session->set_flashdata('mensaje','No se guardó, Deben ser 4 digitos obligatoriamente');
                    redirect(base_url().'index.php/serNums/index/' . $empresa_id );
                }
            }

             $i = 0;
            foreach($serie_id  as $value){
                $this->ser_nums_model->actualizar($empresa_id,$value,$series[$i]);
                $i++;
            }

            redirect(base_url().'index.php/serNums/index/' . $empresa_id);
        }

        public function guardar_nuevo(){

              $documento_id = $_POST['documento'];
              $serie = $_POST['serie_nombre'];

              if(strlen($serie) != 4){
                    $this->session->set_flashdata('mensaje','No se guardó, Deben ser 4 digitos obligatoriamente');
                    redirect(base_url().'index.php/serNums/index/' . $empresa_id );
              }
              
              $empresa_id = 1;
              $data = array(
                    'empresa_id' => $empresa_id,
                    'tipo_documento_id' => $documento_id,
                    'serie' => strtoupper($serie)
                );

               $this->ser_nums_model->insertar($data);
               redirect(base_url().'index.php/serNums/index/' . $empresa_id);

        }

        public function eliminar() {
            $this->ser_nums_model->eliminar($this->uri->segment(3));
            redirect(base_url().'index.php/serNums/index');
        }
    }
?>