<?PHP

if (!defined('BASEPATH')) exit('No direct script access allowed');

class Transacciones extends CI_Controller {

 	public function __construct(){
 		parent::__construct(); 		

 		date_default_timezone_set('America/Lima');
 		$this->load->model('accesos_model');
 		$this->load->model('clientes_model');


 		$empleado_id = $this->session->userdata('empleado_id');
 		$almacen_id = $this->session->userdata('almacen_id');

 		if (empty($empleado_id) or empty($almacen_id)) {
 			$this->session->set_flashdata('mensaje','No existe session activa');
 			redirect(base_url());
 		}
 	}

 	public function index(){ 		
 		$this->accesos_model->menuGeneral();
 		$this->load->view('transacciones/basic_index');
 		$this->load->view('templates/footer');
 	} 
}