<style type="text/css">
	


	.tabla{
		background-color: #465676;
		font-weight: bold;

	}
</style>

<h2 align="center"><strong>Facturación Pendiente</strong></h2>
<br>
<div class="container-fluid">	
	<div class="row">
		<div class="col-xs-2 col-md-2 col-lg-2 col-md-offset-8">
			<label> Fecha Desde&nbsp;&nbsp;&nbsp;<span class="glyphicon glyphicon-calendar"></span>
				<input type="text" class="form-control" name="fecha_desde" id="fecha_desde">
			</label>
		</div>		
		<div class="col-xs-2 col-md-2 col-lg-2">
			<label> Fecha Hasta&nbsp;&nbsp;&nbsp;<span class="glyphicon glyphicon-calendar"></span>
				<input type="text" class="form-control" name="fecha_hasta" id="fecha_hasta">
			</label>
		</div>		
	</div>
	<div class="row">
	<div class="col-md-4">
		<div class="form">
			<button id="btn_generar_comprobante" class="btn btn-success btn btn-sm">Generar Comprobantes</button>
		</div>
	</div>
	<div class="col-md-1 col-md-offset-2 text-right">
			<b>TOTAL </b>
	</div>
	<div class="col-md-1">					
			<label id="montoTotal" readonly=""></label>
	</div>	
	<div class="col-md-4">
		<div class="form">
			<div class="input-group">
				<input type="text" class="form-control" id="search" placeholder="Buscar por nombre">
				<span class="input-group-btn">
					<button class="btn btn-default" type="button" id="btn_buscar_orden">
						<span class="glyphicon glyphicon-search"></span>
					</button>
				</span>
				</div>
			</div>										
		</div>
	</div>
</div>	
	<br>
	<div id="grid"></div>

<input type="hidden" name="cliente_id" id="cliente_id">

<script type="text/javascript">	

	$("#fecha_desde").datepicker();
	$("#fecha_hasta").datepicker();
	var dataSource = new kendo.data.DataSource({
		transport : {
			read : {
				url: "<?PHP echo base_url();?>index.php/facturacionPendientes/getMainList",
				dataType: "json",
				method: "post",
				data: function(){
					return{
						search: function(){
							return $("#search").val();
						},
						fecha_desde: function(){
							return $("#fecha_desde").val();
						},
						fecha_hasta: function(){
							return $("#fecha_hasta").val();
						}
					}
				}
			}
		},

		schema: {
			model: {
				id: 'cli_id'
			},
			data: 'data',
			total: 'rows'
		},
		pageSize: 20,
		serverPaging: true,
		serverFiltering: true,
		serverSorting: true
	});


	$("#grid").kendoGrid({
		dataSource: dataSource,
		selectable: true,
		height: 550,
		sortable: true,
		pageable: true,		
		columns: [				
			{field: 'cli_id', title:' ID', width: '30px'},
			{field: 'cli_razon_social', title:' CLIENTE', width: '150px'},
			{field: 'cli_montoTotal', title:' MONTO', width: '150px'}
		],
		change: function() {
        var row = this.select();
        var id = row.data("id"); 
        console.log(id);
    	},
		detailTemplate : '<div class="lista_ordenes"></div>',
		detailInit: detailInit,
		dataBound: function(e){			

			
			var data = dataSource.data();
			var montoTotal = 0;
            $.each(data,function(e, row){
               montoTotal += parseFloat(row.cli_montoTotal);
            });
            $("#montoTotal").text(montoTotal);


			$('.btn_eliminar_orden').click(function(e){
				e.preventDefault();
				var idOrden = $(this).data('id');
				var msg = $(this).data('msg');

				var url = '<?= base_url()?>index.php/facturacionPendientes/eliminar/'+idOrden

				$.confirm({
					title: 'Confirmar',
					content: msg,
					buttons: {
						confirm: {
							text: 'aceptar',
							btnClass: 'btn-blue',
							action: function(){
								$.ajax({
									url: url,
									dataType: 'json',
									method: 'get',
									success: function(response){
										if(response.status == STATUS_OK){
											toast('success',1500,'orden eliminado');
											dataSource.read();
										}
										if(response.status == STATUS_FAIL){
											toast('error',2000,'No se pudo eliminar orden');
										}
									}
								});
							}
						},
						cancel: function(){
						}
					}
				});
			});


			$(".show_pdf").click(function(e){		
				var _val = $(this).attr("idval");
				javascript:window.open("<?PHP echo base_url()?>index.php/ordenes/pdfGenerarOrdenOffline/"+_val,'','width=750,height=600,scrollbars=yes,resizable=yes');
			});			
		}
	});

	//DETALLES DE ORDENES
	function detailInit(e){

		var detailRow = e.detailRow;

		detailRow.find(".lista_ordenes").kendoGrid({

			dataSource: {
				type: 'json',
				transport: {
					read:{
						url: '<?PHP echo base_url()?>index.php/facturacionPendientes/getMainListDetail',
						dataType: 'json',
						method: 'post',
						data: function(){							
							return{
								cliente_id: e.data.cli_id,
								fecha_desde : function(){
									return $("#fecha_desde").val();
								},
								fecha_hasta : function(){
									return $("#fecha_hasta").val();	
								}
							}							
						}
					}					
				},
				schema: {
					model: {
						id: 'ord_id'						
					},
					data: 'data',
					total: 'rows'
				},
				serverPaging: true,
                serverSorting: true,
                serverFiltering: true,
                scrollable: false,
                persistSelection: true,
                pageSize: 7,                
			},
			scrollable: false,
            sortable: true,           
            pageable: true,            
            columns: [
            	{selectable: true, width: "20px"},
                { field: "indiced", title:"N°", width: "40px" },
                { field: "ord_fecha_de_emision", title:"FECHA DE EMISION", width: "40px" },
                { field: "pac_razon_social",title :"PACIENTE", width: "80px" },
                { field: 'btn_pdf', title:'&nbsp', width: '60px', template:"#= btn_pdf #"},
				{ field: 'btn_eliminar', title:'&nbsp', width: '60px', template:"#= btn_eliminar #"}
                                          
            ],
            dataBound: function(e){   

            	//var dataSource = $("#grid").data("kendoGrid").dataSource;

            	//var dataSource = $('#grid').data("kendoGrid").dataSource.data()[0];


            	grid1 = $("#grid").data("kendoGrid");
            	var selectedItem = grid1.dataItem(grid1.select().coloumnName);
            	//var row = grid1.select();				
            	console.log(selectedItem);


            	//console.log(dataSource);
            	//$('#cliente_id').data("kendoGrid").dataSource.data()[1];
            	//console.log(this.expandRow(this.tbody.find("tr").first()));
				$('#btn_generar_comprobante').click(function(e){
				var grid = $(".lista_ordenes").data("kendoGrid");
				console.log(grid.selectedKeyNames());

				if(grid.selectedKeyNames().length == 0){
                    alert('SELECCIONE ORDEN');
                }              	

                var idOrden = grid.selectedKeyNames();
				location.href = "<?PHP echo base_url()?>index.php/comprobantes/generar_comprobante_orden?array="+idOrden;
			});
				$('.btn_eliminar_orden').click(function(e){
				e.preventDefault();
				var idOrden = $(this).data('id');
				var msg = $(this).data('msg');

				var url = '<?= base_url()?>index.php/ordenes/eliminar/'+idOrden

				$.confirm({
					title: 'Confirmar',
					content: msg,
					buttons: {
						confirm: {
							text: 'aceptar',
							btnClass: 'btn-blue',
							action: function(){
								$.ajax({
									url: url,
									dataType: 'json',
									method: 'get',
									success: function(response){
										if(response.status == STATUS_OK){
											toast('success',1500,'orden eliminado');
											dataSource.read();
										}
										if(response.status == STATUS_FAIL){
											toast('error',2000,'No se pudo eliminar orden');
										}
									}
								});
							}
						},
						cancel: function(){
						}
					}
				});
			});
			
            	$(".show_pdf").click(function(e){		
					var _val = $(this).attr("idval");
					javascript:window.open("<?PHP echo base_url()?>index.php/ordenes/pdfGenerarOrdenOffline/"+_val,'','width=750,height=600,scrollbars=yes,resizable=yes');
				});         	
            }

		});
	}



	//Buscar Orden
	$("#btn_buscar_orden").click(function(e){
		e.preventDefault();
		dataSource.read();

	});

	//Buscar Orden por campo de texto
	$("#search").keyup(function(e){
		e.preventDefault();
		var enter = 13;
		if(e.which == enter){
			dataSource.read();
		}
	});	

	
</script>

