<?php

Class Acceso extends CI_Controller{
        
    public function __construct() {
        parent::__construct();
        $this->load->model('empleados_model');
        $this->load->model('accesos_model');
        $this->load->model('almacenes_model');
        $this->load->helper('cookie');
    }
        
    public function index(){                
        $data = [];                
        $this->session->sess_destroy();
                
        $data['almacenes'] = $this->almacenes_model->select();
        $data['empresa'] = $this->empresas_model->select();
               
        $this->load->view('templates/header_sin_menu');
        $this->load->view('acceso/login',$data);
        $this->load->view('templates/footer');                                                        
    }
    
    function inicio_administrador() {

        $data['almacenes'] = $this->almacenes_model->select();
        //$data['monedas'] = $this->monedas_model->select();
        //var_dump($_SESSION['modulos']);exit;
        $this->accesos_model->menuGeneral();
        $this->load->view('acceso/inicio');
        $this->load->view('templates/footer');  
    }
    
    public function login(){        
        $rsTipo_acceso = $this->db->from('tipo_accesos')->get()->row();
        $almacen = $this->almacenes_model->select($this->input->post('almacen'));
        
        $dato_almacen = array(
            'almacen_id'=> $almacen->alm_id,
            'almacen_nom'=> $almacen->alm_nombre
        );
        
        $this->session->set_userdata($dato_almacen);
        
        if($rsTipo_acceso->id == 1){
            /*VALIDAR CON DNI*/
            $codigo = $rsTipo_acceso->id;
            $usuario = $this->input->post('usuario');
            $usuario_dni = $this->session->userdata('dni');
            
            if($this->input->post('usuario') == '' && !empty($usuario_dni)){
                $usuario = $this->session->userdata('dni');
            }            
        } else{
            /*VALIDAR CON CLAVE MENSUAL*/
            $codigo = $rsTipo_acceso->id;
            $usuario = $this->input->post('usuario');
            $usuario_dni = $this->session->userdata('dni');
            
            if($this->input->post('usuario') == '' && !empty($usuario_dni)){
                $usuario = $this->session->userdata('dni');
        }}
        //echo $usuario.' '.$codigo;exit;
        
        if($this->empleados_model->login($usuario,$codigo)){
            //var_dump($_SESSION['modulos']);exit;
            $user_foto = $this->session->userdata('foto');
            $filename = './files/foto/'.$user_foto;
            
            if(file_exists($filename) && !empty($user_foto)){             
                $data = array(
                    'ruta_foto' => './files/foto/'.$user_foto,
                    'title' => $this->session->userdata('usuario').' '.$this->session->userdata('apellido_paterno')
                );
            } else{
                $data = array(
                    'ruta_foto' => '.files/foto/sin_foto.jpg',
                    'title' => 'sin foto'
                );
            }
            
            $this->session->set_userdata($data);                        
            redirect(base_url().'index.php/acceso/inicio_administrador');
                
        } else{
            redirect(base_url());
        }
    }

    function logout() {                
            $this->session->sess_destroy();
            redirect(base_url());        
    }
}