<?PHP if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Lineas_model extends CI_Model {

    public function __construct() {
        parent::__construct();
    }

    public function select($idLinea='') {
        if($idLinea == '') {

            $rsLineas = $this->db->from("lineas")
                                  ->where("lin_estado", ST_ACTIVO)
                                  ->get()
                                  ->result();
            return $rsLineas;
        } else {
            $rsLinea = $this->db->from("medida")
                            ->where("lin_id", $idLinea)

                            ->get()
                            ->row();
            return $rsLinea;          
        }           
    }

    public function guardar() {        
        if($_POST['id']!='') {
            $dataUpdate = [
                            'lin_nombre'    => $_POST['nombre'],                          
                          ];
            $this->db->where('lin_id', $_POST['id']);
            $this->db->update('lineas', $dataUpdate);                          
        } else {
            $dataInsert = [
                            'lin_nombre'    => $_POST['nombre'],                            
                            'lin_estado'    => ST_ACTIVO
                          ];
            $this->db->insert('lineas', $dataInsert);              
        }
        return true;
    } 

    public function eliminar($idLinea) {
      //vericamos que esa seccion no tenga asiganda a un producto
      $rsLineas = $this->db->from("lineas")
                           ->where("lin_id", $idLinea)
                           ->get()
                           ->result();
      if(count($rsLineas) > 0) {
        return false;
      } 
                    
        $this->db->delete('lineas', ['lin_id'=>$idLinea]);
        return true; 
    }   

    public function getMainList()
    {
        $select = $this->db->from("lineas");
        if($_POST['search'] != '')
        {
            $select->like("lin_nombre", $_POST['search']);
        }                   

        $selectCount = clone $select;
        $rsCount = $selectCount->get()
                               ->result();
        $rows = count($rsCount);
        
        $rsLineas = $select->limit($_POST['pageSize'],$_POST['skip'])
                           ->order_by("lin_id", "desc")
                           ->get()
                           ->result();                                          

          foreach ($rsLineas as $linea) {
            $linea->lin_editar  = "<a class='btn btn-default btn-xs  btn_modificar_linea' data-id='{$linea->id}'
              data-toggle='modal' data-target='#myModal'>Modificar</a>";

            $linea->lin_eliminar= "<a class='btn btn-default btn-xs btn_eliminar_linea' data-id='{$linea->id}' data_msg='Desea Eliminar Linea: {$medico->razon_social} ?'>Eliminar</a>";
          } 

        $datos = [
                    'data' => $rsLineas,
                    'rows' => $rows
                 ];
        return $datos;      
    }
}   
