<?PHP
class Medicos_model extends CI_Model {

	public function __contruct(){
		parent::__contruct();
		$this->load->database();
	}

public function select($idMedico = ''){

	if($idMedico == '') {
            $rsMedicos = $this->db->from("medicos")
                                     ->where("estado", ST_ACTIVO)
                                     ->get()
                                     ->result();
            return $rsMedicos;
        } else {
            $rsMedico = $this->db->from("medicos")
                            ->where("id", $idMedico)
                            ->get()
                            ->row();
            return $rsMedico;
        }           
}

public function guardar(){	
	if($_POST['id'] != ''){

		$dataUpdate = [												
						'razon_social' => strtoupper($_POST['razon_social']),
						'especialidad' => strtoupper($_POST['especialidad']),
						'email' => $_POST['email'],
						'telefono' => $_POST['telefono']
					];
		$this->db->where('id',$_POST['id']);
		$this->db->update('medicos',$dataUpdate);
	} else {
		$dataInsert = [
						'razon_social' => strtoupper($_POST['razon_social']),
						'especialidad' => strtoupper($_POST['especialidad']),
						'email' => $_POST['email'],
						'telefono' => $_POST['telefono']
			];
			$this->db->insert('medicos',$dataInsert);
	}
	return true;
}

public function eliminar($idMedico){
	$medicoUpdate = [
					"estado" => ST_ELIMINADO
		];

	$this->db->where("id",$idMedico);
	$this->db->update("medicos", $medicoUpdate);
	return true;
}		

public function getMainList(){
	$select = $this->db->from("medicos")
						->where("estado",ST_ACTIVO);

	if($_POST['search'] != ''){
		$select->like("razon_social",$_POST['search']);
	}

	$selectCount = clone $select;
	$rsCount = $selectCount->get()->result();

	$rows = count($rsCount);

	$rsMedicos = $select->limit($_POST['pageSize'],$_POST['skip'])
						->order_by("id","desc")
						->get()
						->result();

	foreach ($rsMedicos as $medico) {
		
			$medico->med_editar  = "<a class='btn btn-default btn-xs	btn_modificar_medico' data-id='{$medico->id}'
			data-toggle='modal' data-target='#myModal'>Modificar</a>";

		$medico->med_eliminar= "<a class='btn btn-default btn-xs btn_eliminar_medico' data-id='{$medico->id}' data_msg='Desea Eliminar Medico: {$medico->razon_social} ?'>Eliminar</a>";
	}

	$datos = [
			'data' => $rsMedicos,
			'rows' => $rows
	];

	return $datos;
}

public function selectAutocomplete($buscar, $activo = ''){
        $where = ' AND estado = '. $activo;
        $sql = "SELECT
                id,                
                razon_social,
                especialidad,
                telefono
                FROM medicos
                WHERE
                (razon_social LIKE '%$buscar%') " . $where . "
                ORDER BY razon_social";
        $query = $this->db->query($sql);

        $data = array();
        if ($query->row()) {
            foreach ($query->result_array() as $tsArray){
                $data[] = array(
                    "value" => $tsArray['razon_social'],                    
                    "especialidad" => $tsArray['especialidad'],
                    "telefono" => $tsArray['telefono'],
                    "id" => $tsArray['id']
                );
            }
        }
        return $data;
    }
}
