<?php
class Productos_model extends CI_Model
{
    public function __construct()
    {
        parent::__construct();
        $this->load->database();
        $this->load->model('compras_model');
    }

    public function select($id = '', $activo = '') {
        if ($id != '') {            
            $datos = $this->db->from('productos pr')                            
                              ->join("categoria cat","pr.prod_categoria_id=cat.cat_id")
                              ->join("medida md","pr.prod_medida_id=md.medida_id")
                              ->where('prod_id',$id)
                              ->where('prod_estado',ST_ACTIVO)
                              ->get()
                              ->row();

                    // obtenemos el stock inicial del producto //
                    /*$this->db->where("ejm_producto_id", $id);
                    $this->db->where("ejm_fecha_ingreso", $datos->prod_fecha);
                    $this->db->where("ejm_almacen_id",$this->session->userdata("almacen_id"));
                    $this->db->from("ejemplar");
                    $countProductos = $this->db->count_all_results();*/

                     $stock = $this->getStockProductos($id,$this->session->userdata("almacen_id"));
                     $datos->prod_stock = $stock;
                    
                      
            
        } else {

            $datos = $this->db->from('productos pr')
                                  ->join("categoria cat","pr.prod_categoria_id=cat.cat_id")
                                  ->join("medida md","pr.prod_medida_id=md.medida_id")
                                  ->where('prod_estado',ST_ACTIVO)
                                  ->get()
                                  ->result();
        }
        return $datos;
    }  

    public function guardar() {       

       $result= $this->db->from("productos")
                          ->where('prod_codigo',$_POST['codigo'])
                          ->where("prod_id !=",$_POST['id'])
                          ->get()
                          ->row();
        if ($result) {
            return false;
        }

            $codpro = $_POST['codigo'];
            

            if($_POST['stock_inicial']==''){$stock_inicial=0;}else{$stock_inicial=floatval($_POST['stock_inicial']);}
            if($_POST['cantidad_minima']==''){$cantidad_minima=0;}else{$cantidad_minima=floatval($_POST['cantidad_minima']);}            

        if($_POST['id']!='')
        {

            $dataUpdate = [
                            'prod_codigo_sunat'    => substr($_POST['codigo_sunat'],0,8),
                            'prod_codigo'          => $codpro,
                            'prod_nombre'          => strtoupper($_POST['nombre']),
                            'prod_precio_publico'  => $_POST['precio_unitario'],
                            'prod_precio_2'  => $_POST['prod_precio_2'],
                            'prod_precio_3'  => $_POST['prod_precio_3'],
                            'prod_precio_4'  => $_POST['prod_precio_4'],
                            'prod_precio_5'  => $_POST['prod_precio_5'],
                            'prod_precio_6'  => $_POST['prod_precio_6'],
                             'prod_precio_compra'  => $_POST['precio_unitario_c'],
                            'prod_stock'           => $stock_inicial,
                            'prod_cantidad_minima' => $cantidad_minima,
                            'prod_categoria_id'    => $_POST['categoria'],
                            'prod_medida_id'       => $_POST['medida'],
                            //'prod_almacen_id'       => $this->session->userdata("almacen_id"),
                            'prod_tipo'       => $_POST['tipo']
                           
                          ];
            $this->db->where('prod_id', $_POST['id']);
            $this->db->update('productos', $dataUpdate);
          
            if($_POST['tipo']==1){
           
              $prod_stock = $this->getStockProductos($_POST['id'],$this->session->userdata("almacen_id"));
              
                if($stock_inicial>$prod_stock){
                    $result = $stock_inicial - $prod_stock;
                    $kardex = array(
                      'k_fecha' => date('Y-m-d'),
                      'k_almacen' => $this->session->userdata("almacen_id"),
                      'k_tipo' => 0,
                      'k_operacion_id' => 0, 
                      'k_concepto' => 'Modificación Stock', 
                      'k_producto' => $_POST['id'],
                      'k_ecantidad' => $result,
                      'k_excantidad' => $stock_inicial
                                         
                   );
                     $this->db->insert('kardex', $kardex); 
                }else if($stock_inicial<$prod_stock){
                    $result = $prod_stock - $stock_inicial;
                    $kardex = array(
                      'k_fecha' => date('Y-m-d'),
                      'k_almacen' => $this->session->userdata("almacen_id"),
                      'k_tipo' => 0,
                      'k_operacion_id' => 0, 
                      'k_concepto' => 'Modificación Stock', 
                      'k_producto' => $_POST['id'],
                      'k_scantidad' => $result,
                      'k_excantidad' => $stock_inicial
                                         
                   );
                     $this->db->insert('kardex', $kardex); 
                }

            
                

              
             
            }

        } else {

            /*generamos codigo aleatorio*/
           // $codigo = rand(10000,99999);
            
           if($_POST['codigo_auto_num']==1){
              $this->db->select_max('prod_id');
              $cod = $this->db->get('productos')->row(); 
              $codpro = str_pad(($cod->prod_id + 1), 5, "0", STR_PAD_LEFT);
            }


            $dataInsert = [
                            'prod_codigo_sunat'    => substr($_POST['codigo_sunat'],0,8),
                            'prod_codigo'          => $codpro,
                            'prod_nombre'          => strtoupper($_POST['nombre']),
                            'prod_precio_publico'  => $_POST['precio_unitario'],
                            'prod_precio_2'  => $_POST['prod_precio_2'],
                            'prod_precio_3'  => $_POST['prod_precio_3'],
                            'prod_precio_4'  => $_POST['prod_precio_4'],
                            'prod_precio_5'  => $_POST['prod_precio_5'],
                            'prod_precio_6'  => $_POST['prod_precio_6'],
                            'prod_precio_compra'  => $_POST['precio_unitario_c'],
                            'prod_stock'           => $stock_inicial,
                            'prod_cantidad_minima' => $cantidad_minima,
                            'prod_categoria_id'    => $_POST['categoria'],
                            'prod_medida_id'       => $_POST['medida'],
                            'prod_estado'          => ST_ACTIVO,
                            'prod_almacen_id'       => $this->session->userdata("almacen_id"),
                            'prod_fecha'       => date('Y-m-d'),
                            'prod_tipo'       => $_POST['tipo']
                          ];
            $this->db->insert('productos', $dataInsert);
            $idProd = $this->db->insert_id();
            
            if($_POST['tipo']==1){
               //$this->compras_model->ingresarStock($idProd,$stock_inicial, 0); 

               $kardex = array(
                  'k_fecha' => date('Y-m-d'),
                  'k_almacen' => $this->session->userdata("almacen_id"),
                  'k_tipo' => 0,
                  'k_operacion_id' => 0, 
                  'k_concepto' => 'Stock Inicial', 
                  'k_producto' => $idProd,
                  'k_ecantidad' => $stock_inicial,
                  'k_excantidad' => $stock_inicial
                                     
               );

               $this->db->insert('kardex', $kardex);
            }

            $this->db->set('cod_prod_auto',$_POST['codigo_auto_num']);
            $this->db->update('comprobantes_ventas');
        
                     
        }

        return true;
    }

    public function getStockProductos($id_producto,$id_almacen){
       $this->db->where('k_producto',$id_producto);
       $this->db->where('k_almacen',$id_almacen);
       $this->db->order_by('k_id','DESC');
       $result = $this->db->get('kardex')->row();

       return $result->k_excantidad;
    }

    public function deleteStockProductos($id_producto,$id_almacen,$tipo,$id_operacion){
       $this->db->where('k_producto',$id_producto);
       $this->db->where('k_almacen',$id_almacen);
       $this->db->where('k_tipo',$tipo);
       $this->db->where('k_operacion_id',$id_operacion);
       $result = $this->db->get('kardex')->row();

       ///eliminar
       $this->db->where('k_id', $result->k_id);
       $this->db->delete('kardex');
       
    }

    public function eliminar($idProducto)
    {
      $productoUpdate = [
                          "prod_estado" => ST_ELIMINADO
                        ];
      $this->db->where("prod_id", $idProducto);
      $this->db->update("productos", $productoUpdate);
    	return true; 
    } 	

    public function getMainList() {
        //cantidad de registros en total
        $select = $this->db->from("productos as prod")
                           ->join("almacenes as alm", " alm.alm_id = prod.prod_almacen_id")
                           ->join("categoria as cat", " cat.cat_id = prod.prod_categoria_id")
                           ->join("medida med"," med.medida_id = prod.prod_medida_id")
                           //->join("tipo_items tpi","tpi.id=prod.prod_tipo_item_id")
                           ->where("prod.prod_estado", ST_ACTIVO)
                           //->where("prod.prod_almacen_id",$this->session->userdata("almacen_id"))
                           ->order_by("prod.prod_id desc");       
                           
        if($_POST['search']!='')
        {
            $query = "(prod.prod_nombre like '%".$_POST['search']."%' or prod.prod_codigo like '%".$_POST['search']."%')";
            $select->where($query);
        }            

        $selectCount = clone $select;
        $rsCount = $selectCount->get()
                               ->result();
        $rows = count($rsCount);
        
        $rsProductos  = $select->limit($_POST['pageSize'], $_POST['skip'])
                               ->get()
                               ->result();              

        foreach($rsProductos as $producto) {

            $producto->prod_editar = "<a class='btn btn-default btn-xs btn_modificar_producto' data-id='{$producto->prod_id}' data-toggle='modal' data-target='#myModal'><i class='glyphicon glyphicon-pencil'></i></a>";

           $producto->prod_eliminar = "<a class='btn btn-danger btn-xs btn_eliminar_producto' data-id='{$producto->prod_id}' data-msg='Desea eliminar producto: {$producto->prod_nombre}?'><i class='glyphicon glyphicon-remove'></i></a>";
            if($producto->prod_id==1){
                $producto->prod_eliminar = "";
            }
            

            $stock = $this->getStockProductos($producto->prod_id,$_POST['almacen']);
            $producto->prod_stock = ($stock!='')?$stock:'0';
            
            
        }
        $datos = [
                    'data' => $rsProductos,
                    'rows' => $rows
                 ];

        
        return $datos;      
    }

    public function stock_producto_select_almacen($idProducto,$almacen)
    {
        /*obtenemos el stock del producto*/
        $this->db->where("ejm_producto_id", $idProducto);
        $this->db->where("ejm_estado", ST_PRODUCTO_DISPONIBLE);
        $this->db->where("ejm_almacen_id",$almacen);
        $this->db->from("ejemplar");
        $countProductos = $this->db->count_all_results();
        return $countProductos;
    }



    public function stock($idProducto)
    {
        /*obtenemos el stock del producto*/
        $this->db->where("ejm_producto_id", $idProducto);
        $this->db->where("ejm_estado", ST_PRODUCTO_DISPONIBLE);
        $this->db->where("ejm_almacen_id",$this->session->userdata("almacen_id"));
        $this->db->from("ejemplar");
        $countProductos = $this->db->count_all_results();
        return $countProductos;
    }

    public function selectAutocompleteprod($buscar){ 

        $where = '(pr.prod_estado='.ST_ACTIVO.' AND pr.prod_nombre LIKE "%'.$buscar.'%") OR (pr.prod_estado='.ST_ACTIVO.' AND pr.prod_codigo LIKE "%'.$buscar.'%")';
        $result = $this->db->from('productos pr')
                            ->join("categoria cat","pr.prod_categoria_id=cat.cat_id")
                            ->join("medida md","pr.prod_medida_id=md.medida_id")
                            ->where($where)
                            //->where('pr.prod_almacen_id',$this->session->userdata("almacen_id"))
                            ->get()
                            ->result();

                             

        $data = array();    
        foreach ($result as $prod){

          $stock = $this->getStockProductos($prod->prod_id,$this->session->userdata("almacen_id"));
          $producto_stock = ($stock!='')? number_format($stock,0):'0';
          $producto_stock = ($prod->prod_tipo == 1) ?  "/ Stock: ".$producto_stock : '';          

            $data[] = array(
                "value" => $prod->prod_nombre.' '.$producto_stock,
                "codigo" => $prod->prod_codigo,
                "precio" => $prod->prod_precio_publico,                    
                "id" => $prod->prod_id,
                "prod_cat_id" => $prod->prod_categoria_id,
                "categoria" => $prod->cat_nombre,
                "prod_medida_id" => $prod->prod_medida_id,
                "medida" => $prod->medida_nombre
              
            );
        } 
       
        return $data;
    }

    public function selectAutocompleteprodC($buscar){ 

        $where = '(pr.prod_estado='.ST_ACTIVO.' AND pr.prod_nombre LIKE "%'.$buscar.'%") OR (pr.prod_estado='.ST_ACTIVO.' AND pr.prod_codigo LIKE "%'.$buscar.'%")';
        $result = $this->db->from('productos pr')
                            ->join("categoria cat","pr.prod_categoria_id=cat.cat_id")
                            ->join("medida md","pr.prod_medida_id=md.medida_id")
                            ->where($where)
                            //->where('pr.prod_almacen_id',$this->session->userdata("almacen_id"))
                            ->get()
                            ->result();

                             

        $data = array();    
        foreach ($result as $prod){

          $stock = $this->getStockProductos($prod->prod_id,$this->session->userdata("almacen_id"));
          $producto_stock = ($stock!='')?number_format($stock,0):'0';          

            $data[] = array(
                "value" => $prod->prod_codigo." - ".$prod->prod_nombre." ........ Stock: ".$producto_stock,
                "codigo" => $prod->prod_codigo,
                "precio" => $prod->prod_precio_compra,                    
                "id" => $prod->prod_id,
                "prod_cat_id" => $prod->prod_categoria_id,
                "categoria" => $prod->cat_nombre,
                "prod_medida_id" => $prod->prod_medida_id,
                "medida" => $prod->medida_nombre
              
            );
        } 
       
        return $data;
    }
    public function getCodigoProducto($idproducto)  {
        $result= $this->db->from('productos')
                          ->where('prod_id',$idproducto)
                          ->get()
                          ->result();
        return $result;
    }
    /*reducir stock */
    public function RestarStock($idProducto,$cantidad) {
        if ($idProducto!='') {
            $dataUpdate = [                            
                            'prod_cantidad_minima' => $_POST['cantidad_minima'] - $cantidad
                          ];
            $this->db->where('prod_id', $idProducto);
            $this->db->update('productos', $dataUpdate); 
        }
        return true;
        
    }


    //INGRESO DE STOCK 17-09-2020
    public function ingresarStock($prod_id ,$cantidad, $concepto = 'INGRESO',$comprobante_id = '',$serie = '',$numero = ''){

      $stock = $this->getStockProductos($prod_id,$this->session->userdata("almacen_id"));
            $nueva_cantidad = floatval($stock) + floatval($cantidad);

              $kardex = array(
                   'k_fecha' => date('Y-m-d'),
                   'k_almacen' => $this->session->userdata("almacen_id"),
                   'k_tipo' => 4,
                   'k_operacion_id' => $comprobante_id,
                   'k_serie' => $serie.'-'.$numero,
                   'k_concepto' => $concepto,     
                   'k_producto' => $prod_id,
                   'k_scantidad' => $cantidad,
                   'k_excantidad' => $nueva_cantidad
                 );

      $this->db->insert('kardex', $kardex);
    }

    //SALIDA DE STOCK 17-09-2020
    public function salidaStock($prod_id ,$cantidad, $concepto = 'SALIDA',$comprobante_id = '',$serie = '',$numero = ''){

      $stock = $this->getStockProductos($prod_id,$this->session->userdata("almacen_id"));
            $nueva_cantidad = floatval($stock) - floatval($cantidad);

              $kardex = array(
                   'k_fecha' => date('Y-m-d'),
                   'k_almacen' => $this->session->userdata("almacen_id"),
                   'k_tipo' => 5,
                   'k_operacion_id' => $comprobante_id,
                   'k_serie' => $serie.'-'.$numero,
                   'k_concepto' => $concepto,     
                   'k_producto' => $prod_id,
                   'k_scantidad' => $cantidad,
                   'k_excantidad' => $nueva_cantidad                                          
                 );

      $this->db->insert('kardex', $kardex);
    }    
}