<?PHP

$cliente_id = 0;
$tipo_cliente_id = 0;
if(isset($cliente)){
  $cliente_id =  $cliente->id;
  $tipo_cliente_id = $cliente->tipo_cliente_id;
}
?>

  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title">Registrar Cliente</h4>
      </div>
      <div class="modal-body" style="height:600px;">      
        <div class="container">
          <div class="row">
          <div class="col-md-6">
        <form class="form-horizontal">
       	<input type="hidden" id="cliente_id" value="<?php echo $cliente->id;?>">
       	<div class="form-group">
                  <label for="tipo_cliente" class="col-sm-5 control-label">Tipo Cliente</label>
                  <div class="col-xs-4">
                  <select class="form-control" name="tipo_cliente" id="tipo_cliente" required="">
                    <option>Seleccionar</option>
                    <?PHP foreach($tipo_clientes as $value){
                      $selected = ($value->id == $tipo_cliente_id) ? 'SELECTED'  : '';?>
                    <option value="<?= $value->id.'xx-xx-xx'.$value->tipo_cliente;?>" <?= $selected;?>><?= $value->tipo_cliente;?></option>
                    <?PHP }?>  
                  </select></div>
              </div>
              
              <div id="datos">    
                    <div class="form-group">
                        <label id="lbl_DNI_RUC" for="ruc" class="col-sm-5 control-label">Ruc <label style="color: red;">(*)</label></label>
                        <div class="col-xs-5"> 
                            <input type="text" class="form-control" name="ruc" id="ruc" value="<?PHP echo $cliente->ruc?>">
                        </div>       
                        <div class="col-xs-1">
                            <a href="#"><span class="glyphicon glyphicon-search searchCustomer"></span></a>
                        </div> 
                </div>
                    <div class="form-group">
                        <label id="lbl_RAZ_APE" for="razon_social" class="col-sm-5 control-label">Razón Social <label style="color: red;">(*)</label></label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="razon_social" id="razon_social" value="<?PHP echo $cliente->razon_social;?>" required="">
                        </div>
                    </div>                    
                    <div class="form-group">
                        <label for="domicilio1" class="col-sm-5 control-label">Domicilio <label style="color: red;">(*)</label></label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="domicilio1" id="domicilio1" value="<?PHP echo $cliente->domicilio1;?>">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="email" class="col-sm-5 control-label">Email:</label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="email" id="email" value="<?PHP echo $cliente->email;?>">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="pagina_web" class="col-sm-5 control-label">Página web:</label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="pagina_web" id="pagina_web" value="<?PHP echo $cliente->pagina_web;?>">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="telefono_fijo_1" class="col-sm-5 control-label">Telefono fijo </label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="telefono_fijo_1" id="telefono_fijo_1" value="<?PHP echo $cliente->telefono_fijo_1;?>">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="telefono_movil_1" class="col-sm-5 control-label">Telefono movil </label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="telefono_movil_1" id="telefono_movil_1" value="<?PHP echo $cliente->telefono_movil_1;?>">                            
                        </div>
                    </div>
                  <div class="form-group">
                      <label for="telefono_movil_1" class="col-sm-10 control-label"  style="text-align: center;"><label style="color: red;">(*) Campos obligatorios</label></label>
                  </div>
                </div>
       </form>
</div>
<div class="col-md-3"></div>       
      </div></div></div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="btn_guardar_cliente">Guardar</button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
  <script type="text/javascript">    
    $(document).ready(function () {
      if($("#cliente_id").val() > 0)
        $("#datos").show();
      else
        $("#datos").hide();


        $("#limitado_detalle").hide();                              
        $("#tipo_cliente").change(function () {
            var op = $("#tipo_cliente option:selected").val();
            var array = op.split('xx-xx-xx');
            $("#datos").show();            
            $("#ruc").val('');//04-06-2019
            $("#razon_social").val('');//04-06-2019             
            $("#domicilio1").val('');//04-06-2019

            if (array[0] == 1) {
                $("#lbl_DNI_RUC").html('DNI <label style="color: red;">(*)</label>');
                $("#ruc").attr("placeholder","DNI");                
                $("#lbl_RAZ_APE").html('Nombres <label style="color: red;">(*)</label>');
                $("#razon_social").attr("placeholder","Nombres y Apellidos");                                
            }else{
                $("#lbl_DNI_RUC").html('RUC <label style="color: red;">(*)</label>');
                $("#ruc").attr("placeholder","RUC");                 
                $("#lbl_RAZ_APE").html('Razon Social <label style="color: red;">(*)</label>');
                $("#razon_social").attr("placeholder","razon_social");                
            }
        });
        
       //SearchCustomer        
       $('.searchCustomer').on('click',function(){           
           var op = $("#tipo_cliente option:selected").val();
           var array = op.split('xx-xx-xx');
           var tipoCliente =  array[0];                      
           var ruc = $('#ruc').val();           
           var url = '<?= base_url();?>index.php/clientes/searchCustomer';
           
           $.ajax({
               type: 'POST',
               url : url,
               dataType:'json',
               data : {tipoCliente : tipoCliente, ruc: ruc},
               success : function(datosCliente){                   
                if(datosCliente.status == STATUS_OK){                    
                    var datos = eval(datosCliente);                             
                    if(datos.typeCustomer == 1){                    
                    $("input[name*='razon_social']").val(datos.nombres+' '+datos.paterno+' '+datos.materno);}
                    if(datos.typeCustomer == 2){
                    $("input[name*='razon_social']").val(datos.razonSocial);    
                    $("input[name*='domicilio1']").val(datos.direccionFiscal);}
                }                      
                if(datosCliente.status == STATUS_FAIL){                                    
                    toast("error",1500, datosCliente.msg);
                }
               }                              
           });
           return false;
       });  
       });
  </script>

  <script>
  	$(document).ready(function(e){
  		//guardar
  		$("#btn_guardar_cliente").click(function(e){
  			e.preventDefault();
  			$(".has-error").removeClass('has-error');
  			var datos = {
  							id:$("#cliente_id").val(),
  							tipo_cliente:$("#tipo_cliente").val(),
                ruc:$("#ruc").val(),
                razon_social:$('#razon_social').val(),
                domicilio1 :$('#domicilio1').val(),
                email :$('#email').val(),
                pagina_web:$('#pagina_web').val(),
                telefono_fijo_1:$('#telefono_fijo_1').val(),
                telefono_movil_1:$('#telefono_movil_1').val()
  						};
  			$.ajax({
  				url:'<?php echo base_url()?>index.php/clientes/guardarCliente',
  				dataType:'json',
  				data:datos,
  				method:'post',
  				success:function(response){
  					if(response.status == STATUS_FAIL)
  					{
  						if(response.tipo == '1')
  						{
  							var errores = response.errores;
  							toast('error', 1500, 'Faltan ingresar datos.');
  							$.each(errores, function(index, value){
  								$("#"+index).parent().addClass('has-error');
  							});
  						}
  					}
  					if(response.status == STATUS_OK)
  					{
  						toast('success', 1500, 'se registro el grado');
  						dataSource.read();
  						$("#myModal").modal('hide');
  					}
  				}
  			});  					
  		});
  	});
  </script>
