<?PHP
$medico_id = 0;
if(isset($paciente)){
  $paciente_id =  $paciente->id;  
}
?>

<script type="text/javascript">
  
$("#fecha_nacimiento").datepicker({
    changeMonth :true,
    changeYear : true,    
    yearRange: '1900:2025',
    onSelect: function(value,ui){
      var today = new Date();     

        ahora_ano = today.getYear();
        ahora_mes = today.getMonth();
        ahora_dia = today.getDate();

        ano  = ui.selectedYear;
        mes  = ui.selectedMonth;
        dia  = ui.selectedDay;

        //realizamos el calculo
            var edad = (ahora_ano + 1900) - ano;
            if (ahora_mes < mes)
                edad--;           
            if ((mes == ahora_mes) && (ahora_dia < dia))
                edad--;           
            if (edad > 1900)
                edad -= 1900;           

        // calculamos los meses
            var meses = 0;
            if (ahora_mes > mes && dia > ahora_dia)
                meses = ahora_mes - mes - 1;
            else if (ahora_mes > mes)
                meses = ahora_mes - mes
            if (ahora_mes < mes && dia < ahora_dia)
                meses = 12 - (mes - ahora_mes);
            else if (ahora_mes < mes)
                meses = 12 - (mes - ahora_mes + 1);
            if (ahora_mes == mes && dia > ahora_dia)
                meses = 11;

          // calculamos los dias
          var dias = 0;
          if (ahora_dia > dia)
                dias = ahora_dia - dia;       
        if (ahora_dia < dia) {
               ultimoDiaMes = new Date(ahora_ano, ahora_mes - 1, 0);
                 dias = ultimoDiaMes.getDate() - (dia - ahora_dia);
            }

        $("#edad").val(edad);
        $("#mes").val(meses);
        $("#dia").val(dias);
    }
  });


</script>

  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title">Registrar Paciente</h4>
      </div>
      <div class="modal-body" style="height:600px;">      
        <div class="container">
          <div class="row">
          <div class="col-md-6">
        <form class="form-horizontal">
       	<input type="hidden" id="paciente_id" name="paciente_id" value="<?php echo $paciente->id;?>">
                    <div class="form-group">                     
                    <div class="form-group">
                        <label for="ruc" class="col-sm-5 control-label">DNI <label style="color: red;">(*)</label></label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="ruc" id="ruc" value="<?PHP echo $paciente->ruc;?>" required="">
                        </div>
                    </div>                    
                    <div class="form-group">
                        <label id="lbl_RAZ_APE" for="razon_social" class="col-sm-5 control-label">Apellidos y Nombres <label style="color: red;">(*)</label></label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="razon_social" id="razon_social" value="<?PHP echo $paciente->razon_social;?>" required="">
                        </div>
                    </div>                    
                    <div class="form-group">
                        <label for="lugar_nacimiento" class="col-sm-5 control-label">Lugar Nacimiento <label style="color: red;">(*)</label></label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="lugar_nacimiento" id="lugar_nacimiento" value="<?PHP echo $paciente->lugar_nacimiento;?>">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="fecha_nacimiento" class="col-sm-5 control-label">Fecha Nacimiento <label style="color: red;">(*)</label></label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="fecha_nacimiento" id="fecha_nacimiento" value="<?PHP echo $paciente->fecha_nacimiento;?>">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="edad" class="col-sm-5 control-label">Edad <label style="color: red;">(*)</label></label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="edad" id="edad" value="<?PHP echo $paciente->edad;?>" readonly>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="mes" class="col-sm-5 control-label">Mes <label style="color: red;">(*)</label></label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="mes" id="mes" value="<?PHP echo $paciente->mes;?>" readonly>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="dia" class="col-sm-5 control-label">Dia <label style="color: red;">(*)</label></label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="dia" id="dia" value="<?PHP echo $paciente->dia;?>" readonly>
                        </div>
                    </div>                    
                    <div class="form-group">
                        <label for="sexo" class="col-sm-5 control-label">Sexo <label style="color: red;">(*)</label></label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="sexo" id="sexo" value="<?PHP echo $paciente->sexo;?>">
                        </div>
                    </div>                    
                    <div class="form-group">
                        <label for="telefono" class="col-sm-5 control-label">Telefono <label style="color: red;">(*)</label></label>
                        <div class="col-xs-7">
                            <input type="text" class="form-control" name="telefono" id="telefono" value="<?PHP echo $paciente->telefono;?>">
                        </div>
                    </div>                    
                  <div class="form-group">
                      <label for="telefono_movil_1" class="col-sm-10 control-label"  style="text-align: center;"><label style="color: red;">(*) Campos obligatorios</label></label>
                  </div>
                </div>
       </form>
</div>
<div class="col-md-3"></div>       
      </div></div></div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="btn_guardar_paciente">Guardar</button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
  <script type="text/javascript">    
    $(document).ready(function () {
      if($("#paciente_id").val() > 0)
        $("#datos").show();
      else
        $("#datos").hide();
        $("#limitado_detalle").hide();              

       });
  </script>

  <script>
  	$(document).ready(function(e){
  		//guardar
  		$("#btn_guardar_paciente").click(function(e){
  			e.preventDefault();
  			$(".has-error").removeClass('has-error');
  			var datos = {
  							id  : $("#paciente_id").val(),
                ruc : $("#ruc").val(),
                razon_social:$('#razon_social').val(),
                lugar_nacimiento :$('#lugar_nacimiento').val(),
                fecha_nacimiento :$('#fecha_nacimiento').val(),
                edad : $('#edad').val(),
                mes  : $('#mes').val(),
                dia  : $('#dia').val(),
                sexo : $('#sexo').val(),
                telefono : $('#telefono').val()
  						};
  			$.ajax({
  				url:'<?php echo base_url()?>index.php/pacientes/guardarPaciente_v',
  				dataType:'json',
  				data:datos,
  				method:'post',
  				success:function(response){
  					if(response.status == STATUS_FAIL)
  					{
  						if(response.tipo == '1')
  						{
  							var errores = response.errores;
  							toast('error', 1500, 'Faltan ingresar datos.');
  							$.each(errores, function(index, value){
  								$("#"+index).parent().addClass('has-error');
  							});
  						}
  					}
  					if(response.status == STATUS_OK)
  					{
  						toast('success', 1500, 'se registro el grado');
  						dataSource.read();
  						$("#myModal").modal('hide');
  					}
  				}
  			});  					
  		});
  	});
  </script>
