  <?PHP

  $tipo_habitacion_id = 0;

  if(isset($tipo_habitacion)){
    $tipo_habitacion_id = $tipo_habitacion->id;
  }

  ?>

  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title">Registrar Habitacion</h4>
      </div>
      <div class="modal-body">
       <form>
       	<input type="hidden" id="habitacion_id" value="<?php echo $habitacion->id;?>">
       	<div class="row">
       		<div class="col-md-12">
       			<div class="form-group">
       				<label for="codigo">Codigo</label>
       				<input type="text" id="codigo" class="form-control input-sm" value="<?php echo $habitacion->codigo;?>">
       			</div>
            <div class="form-group">
              <label for="descripcion">Descripcion</label>
              <input type="text" id="descripcion" class="form-control input-sm" value="<?php echo $habitacion->descripcion;?>">
            </div>
            <div class="form-group">
              <label for="tipo_habitacion">Tipo Habitacion</label>
              <select id="tipo_habitacion" class="form-control">
                <?PHP foreach($tipo_habitaciones as $tipo_habitacion){
                  $selected = ($tipo_habitacion->id == $tipo_habitacion_id)? 'SELECTED':'';?>
                <option value="<?= $tipo_habitacion->id;?>" <?= $selected;?>><?= $tipo_habitacion->descripcion;?></option>
                <?PHP }?>
              </select>              
            </div>
       		</div>
       	</div>
       </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="btn_guardar_habitacion">Guardar</button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
  <script>
  	$(document).ready(function(e){

  		//guardar
  		$("#btn_guardar_habitacion").click(function(e){
  			e.preventDefault();
  			$(".has-error").removeClass('has-error');
  			var datos = {
  							id:$("#habitacion_id").val(),
  							codigo:$("#codigo").val(),
                descripcion:$("#descripcion").val(),
                tipo_habitacion:$("#tipo_habitacion").val()
  						};
  			$.ajax({
  				url:'<?php echo base_url()?>index.php/habitaciones/guardarHabitacion',
  				dataType:'json',
  				data:datos,
  				method:'post',
  				success:function(response){
  					if(response.status == STATUS_FAIL)
  					{
  						if(response.tipo == '1')
  						{
  							var errores = response.errores;
  							toast('error', 1500, 'Faltan ingresar datos.');
  							$.each(errores, function(index, value){
  								$("#"+index).parent().addClass('has-error');
  							});
  						}
  					}
  					if(response.status == STATUS_OK)
  					{
  						toast('success', 1500, 'se registro la Habitacion');
  						dataSource.read();
  						$("#myModal").modal('hide');
  					}
  				}
  			});  					
  		});
  	});
  </script>
