<style type="text/css">
	
	.rowCobro{
		padding-top: 20px;
	}
</style>

<script type="text/javascript">
	
	$("#fecha").datepicker();


</script>

<div class="modal-dialog modal-lg">
	<div class="modal-content">
	<div class="modal-header">
		<div class="modal-title">COBROS
		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        </div>
	</div>	
	<div class="modal-body">
		
		<input type="hidden" name="saldoPendiente" id="saldoPendiente" value="<?= $saldo?>">
		
		<form id="formCobro">
			<input type="hidden" name="id" id="id">
			<input type="hidden" name="comprobante_id" id="comprobante_id" value="<?= $comprobante_id?>">
			<input type="hidden" name="saldo" id="saldo">
			<div class="row rowCobro">
				<div class="col-xs-1 col-md-1 col-lg-1">
					<label>Monto</label>
				</div>
				<div class="col-xs-6 col-md-6 col-lg-6">
					<input type="number" class="form-control" id="monto" name="monto">
				</div>
			</div>

			<div class="row rowCobro">
				<div class="col-xs-1 col-md-1 col-lg-1">
					<label>Fecha</label>
				</div>
				<div class="col-xs-6 col-md-6 col-lg-6">
					<input type="text" class="form-control" id="fecha" name="fecha">
				</div>
				<div class="col-xs-5 col-md-5 col-lg-5">
					<button id="btn_guardar_cobro" type="button" class="btn btn-primary ">Agregar Cobro</button>
				</div>						
			</div>          
		</form>	<br>

		<div id="rowCobro">

		</div>	


	</div>
	<div class="modal-footer">	
		 <!--<button id="agregarcobro" type="button" class="btn btn-primary ">Agregar cobro</button>-->
		<button type="button" class="btn btn-secondary btn_cerrar" data-dismiss="modal">Volver</button>       
	</div>
	</div>
</div>


<script type="text/javascript">	
	$(document).ready(function(){
	function rowCobro(){
		$.ajax({

			url: '<?= base_url()?>index.php/cobros/rowCobro',
			method: 'POST',
			dataType: 'HTML',
			data: $("#formCobro").serialize(),
			success: function(response){
					$("#rowCobro").html(response);					
				}							
		});
	}

	rowCobro();


	$("#btn_guardar_cobro").click(function(){
		$(".has-error").removeClass('has-error');
		$.ajax({

			url: '<?= base_url()?>index.php/cobros/guardar',
			method: 'POST',
			dataType: 'JSON',
			data: $("#formCobro").serialize(),
			success: function(response){

				if(response.status == STATUS_FAIL){

					if(response.tipo == 1){						
						var errores = response.error;
						//console.log(errores);
						toast('danger',1500,'Falta ingresar datos');
						$.each(errores, function(index,value){
							console.log($("#"+index).parent());
							$("#"+index).parent().addClass('has-error');
						});
					}
					if(response.tipo == 2){
						if(response.status == STATUS_FAIL){
     
						toast("danger",1500,'Error al registrar');

					}
				}}


				if(response.status == STATUS_OK){
					//alert(123);
					//y llamo al metodo de LISTACOMPROBANTES
					listaComprobantes();
					rowCobro();
					toast("success",1500,'Cobro registrado correctamente');
					//$("#myModal").modal('hide');
					
				}				
			}
		});
	});


	$(document).on("click",".removeCobro",function(e){		
		e.preventDefault(); 
		var idCobro = $(this).data('id');              
        var msg = "Está seguro de eliminar Cobro?";
        var url = '<?php echo base_url()?>index.php/cobros/eliminar/'+idCobro

		$.confirm({
                    title: 'Confirmar',
                    content: msg,
                    buttons: {
                        confirm:{
                            text:'aceptar',
                            btnClass: 'btn-blue',
                            action:function(){
                                $.ajax({
                                    url:url,
                                    dataType:'json',
                                    method:'get',
                                    success:function(response){
                                        if(response.status == STATUS_OK)
                                        {
                                            toast('success', 1500, 'Cobro eliminado');
                                            rowCobro();
                                            listaComprobantes();
                                        }
                                        if(response.status == STATUS_FAIL)
                                        {
                                            toast('error', 1500 ,'No se puedo eliminar Cobro.');
                                        }
                                    }
                                });
                            }
                        },
                        cancel: function () {
                            
                }
            }
       });		
	});

//llamo a esta funcion para refrescar la pagina
function listaComprobantes(){

		$.ajax({

			url: '<?= base_url()?>index.php/cobros/listaComprobantes',
			method: 'POST',
			dataType: 'HTML',
			success: function(response){
				$("#listaComprobantes").html(response);
			}

		})
	}
      
	$("#agregarcobro").click(function(){
		$.ajax({

        url: '<?= base_url()?>index.php/cobros/modal_crearr',
			method: 'POST',
			dataType: 'JSON',
			data: $("#formCobro").serialize(),
            success: function(response){
              listaComprobantes();
            }

		});
	});
	


	$("#monto").on("keyup",function(){

		var saldoPendiente = $("#saldoPendiente").val();
		var monto =  $("#monto").val();

		var saldo = parseFloat(saldoPendiente) - parseFloat(monto);
		$("#saldo").val(saldo.toFixed(2));
			
	});

});

</script>





