<style type="text/css">
    input {text-transform: uppercase;}    
</style>

<script>
	$(document).ready(function(){
	$("#cliente").autocomplete({
		source: '<?= base_url()?>index.php/clientes/buscador_cliente',
		minLength: 2,
		select: function(event,ui){
			var data_cli = '<input type="hidden" value="'+ ui.item.id+'" name ="cliente_id" id="cliente_id">';
			$("#data_cli").html(data_cli);
		},
		change: function(event,ui){
			if(!ui.item){
				this.value = '';
				$("#cliente_id").val('');
			}
		}
	});


	$("#razon_social").autocomplete({
		source: '<?= base_url()?>index.php/pacientes/buscador_paciente',
		minLength: 2,
		select: function(event,ui){
			var data_pac = '<input type="hidden" value="'+ ui.item.id+'" name="paciente_id" id="paciente_id">';
			$("#data_pac").html(data_pac);
			$("#ruc").val(ui.item.ruc);
			buscarPaciente(ui.item.ruc,0);					
		},
		change: function(event,ui){
			if(!ui.item){
				//this.value = '';
				//$("#paciente_id").val('');
			}
		}
	});

	$("#medico").autocomplete({
		source: '<?= base_url()?>index.php/medicos/buscador_medico',
		minLength: 1,
		select: function(event,ui){
			var data_med = '<input type="hidden" value="'+ ui.item.id+'" name ="medico_id" id="medico_id">';
			$("#data_med").html(data_med);
			if($("#pacienteSelect").val() == '1') 
				$("#btn_examenes").prop('disabled',false);	
		},
		change: function(event,ui){
			if(!ui.item){
				this.value = '';
				$("#medico_id").val('');
				$("#btn_examenes").prop('disabled',true);
				
			}
		}
	});
	//$.datepicker.setDefaults( $.datepicker.regional[ "Spanish" ] );
	$("#fecha_nacimiento").datepicker({
		changeMonth :true,
		changeYear : true,		
		yearRange: '1900:2025',
		onSelect: function(value,ui){
			var today = new Date();			

				ahora_ano = today.getYear();
				ahora_mes = today.getMonth();
				ahora_dia = today.getDate();

				ano  = ui.selectedYear;
				mes  = ui.selectedMonth;
				dia  = ui.selectedDay;

				//realizamos el calculo
		        var edad = (ahora_ano + 1900) - ano;
		        if (ahora_mes < mes)
		            edad--;		        
		        if ((mes == ahora_mes) && (ahora_dia < dia))
		            edad--;		        
		        if (edad > 1900)
		            edad -= 1900;		        

				// calculamos los meses
	        	var meses = 0;
		        if (ahora_mes > mes && dia > ahora_dia)
		            meses = ahora_mes - mes - 1;
		        else if (ahora_mes > mes)
		            meses = ahora_mes - mes
		        if (ahora_mes < mes && dia < ahora_dia)
		            meses = 12 - (mes - ahora_mes);
		        else if (ahora_mes < mes)
		            meses = 12 - (mes - ahora_mes + 1);
		        if (ahora_mes == mes && dia > ahora_dia)
		            meses = 11;

			    // calculamos los dias
			    var dias = 0;
			    if (ahora_dia > dia)
            		dias = ahora_dia - dia;				
				if (ahora_dia < dia) {
         		   ultimoDiaMes = new Date(ahora_ano, ahora_mes - 1, 0);
            	   dias = ultimoDiaMes.getDate() - (dia - ahora_dia);
        		}

				$("#edad").val(edad);
				$("#mes").val(meses);
				$("#dia").val(dias);
		}
	});
});
</script>

<div class="container">	
	<form id="formComprobante" method="POST" action="<?= base_url();?>index.php/comprobantes/generar_comprobante">
<div class="col-md-12">
	<div style="text-align: right;padding-bottom: 20px;">
	<button id="btn_examenes" data-toggle="modal" data-target="#myModal" class="btn btn-warning" disabled="">Cargar Exámenes</button>
</div>	
</div>
<div class="row">
<div class="col-md-6">	
<div class="panel panel-default">
	
	<div class="panel-heading">
		<div class="panel-title">DATOS DEL PACIENTE</div>
	</div>
	<div class="panel-body">	
	<form id="formPaciente">
	<div class="col-md-8">		
			<label>DNI <label style="color: red;">(*)</label></label>					
			<input class="form-control" type="text" name="ruc" id="ruc">				
	</div>			
	<div class="col-md-2">	
		<label>&nbsp;</label>
		<button type="button" id="btn_buscar_paciente" class="btn btn-default">BUSCAR</button>
	</div>
	<div class="col-md-2">	
		<label>&nbsp;</label>
		<button type="button" id="btn_nuevo_paciente" class="btn btn-default">NUEVO</button>
	</div>
	<div class="col-md-12">
			<label>Nombres y Apellidos <label style="color: red;">(*)</label></label>		
			<input class="form-control" type="text" name="razon_social" id="razon_social">		
			<div id="data_pac">
				<input class="form-control" type="hidden" name="paciente_id" id="paciente_id">
			</div>
	</div>	
	<div class="col-md-12">		
		<div class="form-group">
			<label>Dirección <label style="color: red;">(*)</label></label>
			<input class="form-control" type="text" name="lugar_nacimiento" id="lugar_nacimiento">
		</div>
	</div>
	<div class="col-md-3">
		<div class="form-group">
			<label>F. de Nac <label style="color: red;">(*)</label></label>	
			<input class="form-control" type="text" name="fecha_nacimiento" id="fecha_nacimiento">
		</div>
	</div>
	<div class="col-md-2">		
		<div class="form-group">
			<label>Edad<label>&nbsp;</label></label>	
			<input class="form-control" type="text" name="edad" id="edad">
		</div>
	</div>
	<div class="col-md-2">		
		<div class="form-group">
			<label>Mes<label>&nbsp;</label></label>	
			<input class="form-control" type="text" name="mes" id="mes" readonly="">
		</div>
	</div>
	<div class="col-md-2">		
		<div class="form-group">
			<label>Día<label>&nbsp;</label></label>	
			<input class="form-control" type="text" name="dia" id="dia" readonly="">
		</div>
	</div>
	<div class="col-md-3">		
		<div class="form-group">
			<label>Sexo <label style="color: red;">(*)</label></label>	
			<select class="form-control" type="text" name="sexo" id="sexo">	
				<option value="">SELECCIONE</option>
				<option value="MASCULINO">MASCULINO</option>
				<option value="FEMENINO">FEMENINO</option>
			</select>
		</div>
	</div>
	<div class="col-md-12">
		<div class="form-group">
			<label>Teléfono <label style="color: red;">(*)</label></label>	
			<input class="form-control" type="text" name="telefono" id="telefono">
		</div>
	</div>

	<div class="col-md-12">
		<div class="form-group">
			<label>Médico <label style="color: red;">(*)</label></label>	
			<input class="form-control" type="text" name="medico" id="medico">
			<div id="data_med"><input type="hidden" name="medico_id" id="medico_id"></div>
		</div>

	</div>
	<div class="col-md-12">
		<div class="form-group">
			<label>Observaciones</label>	
			<input class="form-control" type="text" name="observaciones" id="observaciones">
			<label style="color: red;">(*) Campos obligatorios</label>
			<input type="hidden" id="pacienteSelect" name="pacienteSelect">
		</div>

	</div>
	</form>
</div>
</div>
</div>

<div class="col-md-6">
<div class="panel panel-info">
	<div class="panel-heading">
		<div class="panel-title">TOTAL A PAGAR</div>
	</div>
	<div class="panel-body">
	<div class="col-md-6"></div>
	<div class="col-md-6">
		<div class="form-group">		
			<label><h3><b>TOTAL A PAGAR</h3></b></label>
			<input class="form-control input-lg" type="text" name="total_a_pagar" id="total_a_pagar">
		</div>
	</div>		
	<div class="col-md-6"></div>	
	<div class="col-md-6">
		<div class="form-group">					
				<button type="button" class="btn btn-primary btn-sm" name="generarComprobante" id="generarComprobante" disabled="">GENERAR COMPROBANTE</button>			
		</div>
	</div>		
	<div class="col-md-6"></div>
	<div class="col-md-3">
		<div class="form-group">								
				<button type="button" class="btn btn-info btn-sm" name="generarProforma" id="generarProforma" disabled="">GENERAR PROFORMA</button>
		</div>
	</div>		
	</div>
</div>
</div>

<div class="col-md-12">
		<label>PRUEBAS DE LABORATORIO SELECCIONADA</label>
		<div  id="rowsExamen" name="rowsExamen" rows="5" frameborder="0" scrolling="no"></div>
	</div>	
</div>	
<input  type="hidden" id="modo_carga_examen" name="modo_carga_examen" value="0">
<button id="btn_examen">examen </button>
</form>
</div>
<script type="text/javascript">


	$("#generarComprobante").click(function(){
		$("#formComprobante").submit();		
	});

	$("#generarProforma").click(function(){
		datos = $("#formComprobante").serialize();
		window.location.href = "<?= base_url()?>index.php/proformas/generar_proforma?"+datos;
	});

	$("#btn_examenes").click(function(e){		
		e.preventDefault();
		if($("#modo_carga_examen").val() == 0){		
			$("#myModal").load('<?= base_url()?>index.php/examenes/crear',{});		
		} 	
	});	
	
	$("#btn_buscar_paciente").on("click",function(){
		var ruc  = $("#ruc").val();
		buscarPaciente(ruc,0);		
		if($("#pacienteSelect").val() == '0'){
			consulta_sunat();
		}		
    })
	$(document).on('blur','#ruc',function(){
		var ruc = $("#ruc").val();
		if(ruc != ''){
			buscarPaciente(ruc,0);
		}
	});

	$(document).on('keyup','#ruc',function(){		
		limpiar();
	});

	//BOTON NUEVO
	$(document).on('click','#btn_nuevo_paciente',function(){		
		$("#ruc").val('');
		$("#ruc").focus();
		//$("#examenesModal")[0].reset();
		$("#tablaExamen tbody").empty();
		$("#rowsExamen  tbody").empty();
		limpiar();		
	});	

	$(document).on('blur','#telefono',function(){

		//$('#pacienteSelect').val('1');
			var ruc  = $("#ruc").val();
			var razon_social  = $("#razon_social").val();
			var lugar_nacimiento  = $("#lugar_nacimiento").val();
			var fecha_nacimiento  = $("#fecha_nacimiento").val();
			var edad  = $("#edad").val();			
			var sexo  = $("#sexo option:selected").val();
			var telefono  = $("#telefono").val();

		if(ruc != '' && razon_social !='' && lugar_nacimiento !='' && fecha_nacimiento != '' && edad != '' && sexo != '' && telefono != '' ){			
				
		//BUSCAR PACIENTE		
		buscarPaciente(ruc,0);	
		if($("#pacienteSelect").val() == '0'){
			//if(countTelefono > 4){
			$.ajax({
				url : '<?= base_url()?>index.php/pacientes/guardarPaciente',
				method: 'POST',
				dataType: 'JSON',
				data: $("#formComprobante").serialize(),
				success: function(response){
					if(response.status == STATUS_OK){
						toast('success',1500,'Paciente Registrado');
						buscarPaciente(ruc,1);
					}else{
						toast('error',1500,'No se puede guardar el paciente');
					}
				}
			});
			}//}	
		}else{
			alert('COMPLETE LOS DATOS DEL PACIENTE');
			$("#telefono").val('');
		}		
	});

	function buscarPaciente(ruc,tipoPaciente){

		var tipoPac = tipoPaciente;
		var mensaje = 'PACIENTE ENCONTRADO';
		if(tipoPac == 1)
			mensaje = 'PACIENTE REGISTRADO';

		var paciente = ruc; 
		$.ajax({
			url: '<?= base_url();?>index.php/pacientes/buscarPaciente',
			method: 'POST',
			dataType: 'JSON',
			data: {ruc: paciente},
			success: function(response){
				if(response.status == STATUS_OK){					

					if($("#medico_id").val() != '') $("#btn_examenes").prop('disabled',false);
					toast('success',2500,mensaje);
					$("#pacienteSelect").val('1');				
					$("#paciente_id").val(response.data[0].id);
					$('#razon_social').val(response.data[0].razon_social);
					$('#lugar_nacimiento').val(response.data[0].lugar_nacimiento);
					$('#fecha_nacimiento').val(response.data[0].fecha_nacimiento);
					$('#edad').val(response.data[0].edad);
					$('#mes').val(response.data[0].mes);
					$('#dia').val(response.data[0].dia);
					$('#sexo').val(response.data[0].sexo);					
					$('#telefono').val(response.data[0].telefono);


					$("#cliente").val('');
					$("#cliente_id").val('');
					$("#telefono_cliente").val('');
					$("#email_cliente").val('');
					//CLIENTE
					if(response.dataCliente != ''){
						$("#cliente_id").val(response.dataCliente.id);
						$("#cliente").val(response.dataCliente.razon_social);						
						$("#telefono_cliente").val(response.dataCliente.telefono_movil_1);
						$("#email_cliente").val(response.dataCliente.email);
					}
				}else{
					//alert('12');							
					$("#btn_examenes").prop('disabled',true);
					$("#pacienteSelect").val('0');
					$('#razon_social').val('');
					$('#lugar_nacimiento').val('');
					$('#fecha_nacimiento').val('');
					$('#edad').val('');
					$('#mes').val('');
					$('#dia').val('');					
					//$('#sexo').val('');
					$('#telefono').val('');
					$("#cliente").val('');
					$("#cliente_id").val('');
					$("#telefono_cliente").val('');
					$("#email_cliente").val('');
				}
			}
		});				
	}

	function limpiar(){
		$("#pacienteSelect").val('0');		
		$('#razon_social').val('');
		$('#lugar_nacimiento').val('');
		$('#fecha_nacimiento').val('');
		$('#edad').val('');
		$('#mes').val('');
		$('#dia').val('');		
		//$('#sexo').val('');
		$('#telefono').val('');
		$('#total_a_pagar').val('');
	}
	
	function consulta_sunat(){
        var num = $("#ruc").val();

        if(num!=''){
        if(num.length == 8){//DNI
            $.getJSON('https://mundosoftperu.com/reniec/consulta_reniec.php',{dni:num})
             .done(function(json){                
                if(json[0].length!=undefined){
                    var dni = json[0];
                    var nombres = json[1]+' '+json[2]+' '+json[3];                    
                    $("#razon_social").val(nombres);
                    $("#lugar_nacimiento").val('');
                    toast("success", 1500, 'Datos encontrados con exito');
                 }else{
                    toast("error",3000, 'Número no existe');
                 }
             });     
        }else if(num.length == 11){//RUC
            toast("info",4000, 'Buscando . . .');
            $.getJSON('https://mundosoftperu.com/sunat/sunat/consulta.php',{nruc:num})
             .done(function(json){
      
                 if(json.result.RUC.length!=undefined){                    
                    $("#razon_social").val(json.result.RazonSocial);
                    $("#domicilio1").val(json.result.Direccion);                    
                    toast("success", 1500, 'Datos encontrados con exito');
                 }else{
                    toast("error",3000, 'Número no existe en SUNAT');
                 }
             });


        }else{
            toast("error",3000, 'DEBE DE INGRESAR UN DNI/RUC CORRECTO');            
        }} else{         
             toast("error",3000, 'Ingrese número de documento de búsqueda');
	}}
</script>